declare type ResponseTrack = {
    title: string;
    artist: string;
    link: string;
};
declare type SpotifyClientOptions = {
    clientId: string;
    clientSecret: string;
    refreshToken: string;
};
declare type CurrentlyPlayingOptions = {
    fallbackToLastPlayed?: boolean;
};
declare type CurrentlyPlayingResponse = ResponseTrack & {
    isPlaying: boolean;
};
declare class SpotifyClient {
    private readonly clientId;
    private readonly clientSecret;
    private readonly refreshToken;
    private accessToken;
    constructor({ clientId, clientSecret, refreshToken }: SpotifyClientOptions);
    private _genAccesToken;
    getCurrentlyPlaying: ({ fallbackToLastPlayed }?: CurrentlyPlayingOptions) => Promise<CurrentlyPlayingResponse | null>;
    getLastPlayed: (limit?: number) => Promise<ResponseTrack[]>;
}

export { SpotifyClient };
